.support-form .alert {
  margin-top: clamp(var(--g6-mobile), 2vw, var(--g6-desktop));
}
.support-form .load_info {
  background: url("images/loaders/ajax-loader.gif") 0px 0px no-repeat;
  display: inline-block;
  height: 11px;
  vertical-align: middle;
  width: 16px;
}

.support-form input[type="radio"]:has(+ label) {
  position: absolute;
  appearance: none;
  opacity: 0;
}
.support-form input[type="radio"] + label {
  color: var(--title-color);
  cursor: pointer;
  display: flex;
  font-size: var(--fs-13);
  gap: var(--g3);
  line-height: var(--fs-13-line-height);
}
.support-form input[type="radio"] + label::before {
  --size: 20px;
  border-radius: 50%;
  background-color: #f7f7fb;
  outline: 1px solid #e7ebf4;
  content: "";
  display: block;
  height: var(--size);
  width: var(--size);
}
.support-form input[type="radio"]:checked + label::before,
.support-form input[type="radio"]:focus-visible + label::before {
  background-color: var(--blue);
  outline: 4px solid #fff;
  outline-offset: -10px;
}

.http_wrapper__fields {
  display: grid;
  grid-template-rows: 0fr;
  min-height: 0px;
  overflow: hidden;
  transition: grid-template-rows 0.4s ease;
}
.http_wrapper__checkbox:has(input:checked) + .http_wrapper__fields {
  grid-template-rows: 1fr;
}

.http_wrapper__checkbox .form-checkbox__label {
  margin-bottom: 0px;
}

.support-form-success__icon {
  --size: 56px;
  height: var(--size);
  width: var(--size);
}
@media (width < 600px) {
  .support-form-success__icon {
    display: none;
  }
}

.support-form-success__text span {
  background-color: #f4f6f9;
  padding: 2px 6px;
}

.support-form-request,
.support-form-success {
  display: grid;
  grid-template-rows: 1fr;
  overflow: hidden;
  transition: grid-template-rows 0.4s ease;
}
.support-form-request--success,
.support-form-succes--reset {
  grid-template-rows: 0fr;
}

.support-form .loader_form {
  position: absolute;
  background: rgba(255, 255, 255, 0.8);
  width: 100%;
  height: 100%;
  top: -15px;
  z-index: 2;
  left: 0px;
}
.support-form .loader_form::before {
  content: "";
  background: url("images/loaders/35.gif") 0px 0px no-repeat;
  display: block;
  width: 64px;
  height: 64px;
  position: absolute;
  z-index: 3;
  top: 50%;
  left: 50%;
  margin: -32px 0px 0px -32px;
}

.order_forms.error {
  border-color:#ff7188;
}
.success_block .site_name {
  display: flex;
  align-items: center;
}
.success_block .site_name::before {
  --size: 16px;
  background-color: var(--alert-success-color);
  background-image: url('images/tick.svg');
  background-position: center;
  background-size: auto;
  background-repeat: no-repeat;
  border-radius: 50%;
  content: "";
  display: inline-block;
  height: var(--size);
  width: var(--size);
  margin-right: 8px;
}

.date_to_sp::before {
  content: "";
  display: block;
  width: calc(100% + var(--padding) * 2);
  height: 1px;
  background-color: var(--grey-shade-5);
  position: absolute;
  left: calc(var(--padding) * -1);
}
